apiVersion: builtin
kind: PatchTransformer
metadata:
  name: idp-authentication
patch: |-
  - op: add
    path: /metadata/annotations
    value:
      service.knative.kubernetes.io/name: $(fastplatform.ee.services.idp.authentication.knative.public-name)
  - op: add
    path: /metadata/labels
    value:
      deploy.fastplatform.eu/db-requirement: initialized
  - op: add
    path: /spec/template/metadata
    value:
      annotations:
        autoscaling.knative.dev/minScale: "$(fastplatform.ee.services.idp.authentication.knative.minscale)"
        autoscaling.knative.dev/target: "$(fastplatform.ee.services.idp.authentication.knative.target)"
  - op: add
    path: '/spec/template/spec/containers/0/env'
    value:
      - name: AUTHENTICATION_REDIRECT_URL
        value: https://$(fastplatform.core.services.web.backend.knative.public-name).$(fastplatform.global.domain)/authentication/callback
      - name: CSRF_COOKIE_SECURE
        value: "TRUE"
      - name: DEBUG
        value: "$(fastplatform.ee.services.idp.authentication.django-debug)"
      - name: DJANGO_ALLOWED_HOSTS
        value: idp-authentication.$(fastplatform.global.namespace),$(fastplatform.ee.services.idp.authentication.knative.public-name).$(fastplatform.global.domain)
      - name: DJANGO_CSRF_COOKIE_SECURE
        value: $(fastplatform.ee.services.idp.authentication.django-csrf-cookie-secure)
      - name: DJANGO_SECRET_KEY
        valueFrom:
          secretKeyRef:
            key: django-secret-key
            name: idp-authentication-secret
      - name: DJANGO_SECURE_HSTS_SECONDS
        value: $(fastplatform.ee.services.idp.authentication.django-secure-hsts-seconds)
      - name: DJANGO_SESSION_COOKIE_SECURE
        value: $(fastplatform.ee.services.idp.authentication.django-session-cookie-secure)
      - name: DOMAIN_NAME
        value: $(fastplatform.global.domain)
      - name: OIDC_OP_URL
        value: $(fastplatform.ee.services.idp.authentication.tara-url)
      - name: OIDC_RP_CLIENT_ID
        valueFrom:
          secretKeyRef:
            key: tara-client-id
            name: idp-authentication-secret
      - name: OIDC_RP_CLIENT_SECRET
        valueFrom:
          secretKeyRef:
            key: tara-client-secret
            name: idp-authentication-secret
      - name: OPENTELEMETRY_EXPORTER_JAEGER_SERVICE_NAME
        value: $(fastplatform.ee.services.idp.authentication.opentelemetry-exporter-jaeger-service-name)
      - name: OPENTELEMETRY_EXPORTER_JAEGER_AGENT_HOSTNAME
        value: $(fastplatform.ee.services.idp.authentication.opentelemetry-exporter-jaeger-agent-hostname)
      - name: OPENTELEMETRY_EXPORTER_JAEGER_AGENT_PORT
        value: "$(fastplatform.ee.services.idp.authentication.opentelemetry-exporter-jaeger-agent-port)"
      - name: OPENTELEMETRY_SAMPLING_RATIO
        value: "$(fastplatform.ee.services.idp.authentication.opentelemetry-sampling-ratio)"
      - name: POSTGRES_HOST
        value: fastplatform-pgbouncer
      - name: POSTGRES_PORT
        value: "5432"
      - name: POSTGRES_DATABASE
        value: fastplatform
      - name: POSTGRES_USER
        valueFrom:
          secretKeyRef:
            key: username
            name: fastplatform-fastplatform-secret
      - name: POSTGRES_PASSWORD
        valueFrom:
          secretKeyRef:
            key: password
            name: fastplatform-fastplatform-secret
      - name: SESSION_COOKIE_DOMAIN
        value: $(fastplatform.global.domain)
      - name: SESSION_COOKIE_SECURE
        value: "TRUE"
  - op: add
    path: '/spec/template/spec/containers/0/resources'
    value:
      requests:
        cpu: "$(fastplatform.ee.services.idp.authentication.resources.requests.cpu)"
        memory: "$(fastplatform.ee.services.idp.authentication.resources.requests.memory)"
target:
  group: serving.knative.dev
  kind: Service
  name: idp-authentication
  version: v1
